Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Error while Upgrading from HDF 2.1 to HDF 3.1

Highlighted

Error while Upgrading from HDF 2.1 to HDF 3.1

Contributor

Team,

I am running into below error when i try to start ambari agent post upgrade to HJDF3.1 from HDF 2.1.

# ambari-server start
Using python /usr/bin/python
Starting ambari-server
Ambari Server running with administrator privileges.
Organizing resource files at /var/lib/ambari-server/resources...
Ambari database consistency check started...
DB configs consistency check failed. Run "ambari-server start --skip-database-check" to skip. If you use this "--skip-database-check" option, do not make any changes to your cluster topology or perform a cluster upgrade until you correct the database consistency issues. See "/var/log/ambari-server/ambari-server-check-database.log" for more details on the consistency issues.
Ambari database consistency check finished

In log i see the below error

2018-02-28 14:38:31,085 INFO - ******************************* Check database started *******************************
2018-02-28 14:38:35,189 INFO - Checking for configs not mapped to any cluster
2018-02-28 14:38:35,261 INFO - Checking for configs selected more than once
2018-02-28 14:38:35,272 INFO - Checking for hosts without state
2018-02-28 14:38:35,273 INFO - Checking host component states count equals host component desired states count
2018-02-28 14:38:35,291 INFO - Checking services and their configs
2018-02-28 14:38:36,789 INFO - Processing HDF-2.1 / RANGER
2018-02-28 14:38:36,790 INFO - Processing HDF-2.1 / AMBARI_INFRA
2018-02-28 14:38:36,790 INFO - Processing HDF-2.1 / AMBARI_METRICS
2018-02-28 14:38:36,790 INFO - Processing HDF-2.1 / KAFKA
2018-02-28 14:38:36,790 INFO - Processing HDF-2.1 / NIFI
2018-02-28 14:38:36,790 INFO - Processing HDF-2.1 / ZOOKEEPER
2018-02-28 14:38:36,791 ERROR - Required config(s): nifi-logsearch-conf is(are) not available for service NIFI with service config version 20 in cluster HDF_LAB

1 REPLY 1
Highlighted

Re: Error while Upgrading from HDF 2.1 to HDF 3.1

Contributor

@Matt Clarke Could you please help me on this .

Don't have an account?
Coming from Hortonworks? Activate your account here